# BeanZliB License (Revised)  ©2025  

## 1. Copyright  
(old-school-chatbox) ©2023 Nathaniel Smith  

## 2. License Grant  
Permission is hereby granted, free of charge, to any person or entity obtaining a copy of this software and associated documentation files (the "Software"), to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, subject to the following conditions:  

## 3. Redistribution and Modifications  
- **Source Code Availability**: Any redistribution of the Software, with or without modifications, must include the full source code.  
- **License Continuity**: Any modifications, derivative works, or forks must be licensed under this same **BeanZliB License** or another **compatible open-source license** (as defined in Section 6).  
- **Open-Source Obligation**: If you modify and distribute this Software, you must make your changes publicly available under an open-source license that preserves these conditions.  
- **Public Hosting Requirement**: All modifications, forks, or derivative works **must be publicly hosted in an accessible repository** (such as GitHub, GitLab, or a similar open-source platform).  
- **Author Attribution**:  
  - You **must** credit the original author ("Nathaniel Smith") in any forks, modifications, or redistributions.  
  - The original copyright notice and this license must remain intact in all copies or significant portions of the Software.  
  - If modifications are made, a notice must be included stating that the Software has been modified, along with a brief description of the changes.  

## 4. Forking and Derivative Works  
- Any derivative work ("fork") must be publicly available and licensed under the **BeanZliB License** or a **compatible open-source license** (see Section 6).  
- Proprietary derivatives are **strictly prohibited**—all modifications must remain open-source.  
- **Public Repository Requirement**: If you create a fork or derivative work, you must **host it in a public repository** (such as GitHub, GitLab, or an equivalent open-source platform) so others can access and contribute to the code.  
- **Retain Author Credit**: You must **credit the original author** and provide a link to the original repository if applicable.  

## 5. Usage in Proprietary Software  
- You may **not** integrate this Software into proprietary software or distribute it under a proprietary license.  
- If you distribute the Software (original or modified), you must provide full access to the source code.  
- Any modifications or derivative works must remain **open-source** under the **BeanZliB License** or a compatible license.  

## 6. License Compatibility  
This license is compatible with **open-source licenses that require derivative works to remain open-source**. Examples of **acceptable licenses** include:  
- **GNU General Public License (GPL) v2 or later**  
- **Mozilla Public License (MPL) v2.0**  
- **Apache License 2.0 (when used in open-source projects)**  

Licenses **not considered compatible** include permissive licenses that allow proprietary derivatives (e.g., MIT, BSD).  

## 7. No Warranty  
The Software is provided **"as is"**, without any warranty, express or implied, including but not limited to the warranties of merchantability, fitness for a particular purpose, and noninfringement. The authors are **not liable** for any claims, damages, or liabilities arising from the Software’s use.  

## 8. No Promotion or Endorsement  
- **No Use of Name for Promotion**: You may **not** use the name "Nathaniel Smith" or the name of the Software (old-school-chatbox) for promotional purposes, advertisements, or to imply endorsement by the author without prior written consent.  
- **No Claim of Originality**: You may not claim to be the original author or creator of the Software. Any modifications or derivative works must include a statement that clearly indicates that the work is a modified version of the original Software, and not the original product itself.  
